# $Id: Makefile,v 1.16 2006-01-16 01:11:40 eugene Exp $

# WARNING : pdflatex does not do .ps
# 
DO_PDFLATEX = 1
DO_BIBTEX = 0

help:
	@echo "USAGE: make (target)"
	@echo "  targets:  all pdf tgz"

all: pdf tgz 
pdf: analysis.pdf
tgz: analysis.tgz

PDFPICS = \
pics/peaks.pdf \
pics/FWHM.smooth.trend.ps1.pdf \
pics/moment.class.pdf \
pics/radial.profiles.pdf 

FILES = \
../inputs/astro.sty \
../inputs/code.sty \
../inputs/apj.bst \
../inputs/lib.bib \
$(PDFPICS) \
analysis.tex

pics/%.pdf : pics/%.ps
	echo $^
	echo $<
	echo $@
	echo $*
	ps2pdf -dEPSCrop $< $@

pdfpics: $(PDFPICS)
analysis.pdf: $(FILES)
analysis.tgz: $(FILES)

include ../Makefile.Common
